### Interface

# Gdk Toplevel

#### Description [src]

    interface Gdk.Toplevel : Gdk.Surface

A `GdkToplevel` is a freestanding toplevel surface.

The `GdkToplevel` interface provides useful APIs for interacting with the windowing system, such as controlling maximization and size of the surface, setting icons and transient parents for dialogs.

#### Instance methods

###### gdk_toplevel_begin_move

Begins an interactive move operation.

###### gdk_toplevel_begin_resize

Begins an interactive resize operation.

###### gdk_toplevel_focus

Sets keyboard focus to `surface`.

###### gdk_toplevel_get_state

Gets the bitwise or of the currently active surface state flags, from the `GdkToplevelState` enumeration.

###### gdk_toplevel_inhibit_system_shortcuts

Requests that the `toplevel` inhibit the system shortcuts.

###### gdk_toplevel_lower

Asks to lower the `toplevel` below other windows.

###### gdk_toplevel_minimize

Asks to minimize the `toplevel`.

###### gdk_toplevel_present

Present `toplevel` after having processed the `GdkToplevelLayout` rules.

###### gdk_toplevel_restore_system_shortcuts

Restore default system keyboard shortcuts which were previously inhibited.

###### gdk_toplevel_set_decorated

Sets the toplevel to be decorated.

###### gdk_toplevel_set_deletable

Sets the toplevel to be deletable.

###### gdk_toplevel_set_icon_list

Sets a list of icons for the surface.

###### gdk_toplevel_set_modal

Sets the toplevel to be modal.

###### gdk_toplevel_set_startup_id

Sets the startup notification ID.

###### gdk_toplevel_set_title

Sets the title of a toplevel surface.

###### gdk_toplevel_set_transient_for

Sets a transient-for parent.

###### gdk_toplevel_show_window_menu

Asks the windowing system to show the window menu.

###### gdk_toplevel_supports_edge_constraints

Returns whether the desktop environment supports tiled window states.

#### Properties

###### Gdk.Toplevel:decorated

Whether the window manager should add decorations.

###### Gdk.Toplevel:deletable

Whether the window manager should allow to close the surface.

###### Gdk.Toplevel:fullscreen-mode

The fullscreen mode of the surface.

###### Gdk.Toplevel:icon-list

A list of textures to use as icon.

###### Gdk.Toplevel:modal

Whether the surface is modal.

###### Gdk.Toplevel:shortcuts-inhibited

Whether the surface should inhibit keyboard shortcuts.

###### Gdk.Toplevel:startup-id

The startup ID of the surface.

###### Gdk.Toplevel:state

The state of the toplevel.

###### Gdk.Toplevel:title

The title of the surface.

###### Gdk.Toplevel:transient-for

The transient parent of the surface.

#### Signals

###### Gdk.Toplevel::compute-size

Emitted when the size for the surface needs to be computed, when it is present.

#### Interface structure

    struct GdkToplevelInterface {
      /* no available fields */
    }